' -----[ Title ]-----------------------------------------------------------
'
' File...... proj4PBC.bas
' Format.... PicBasic
' Purpose... Using Porta on PIC16F876  
' Author.... Chuck Hellebuyck
' Started...  June 1, 2000


' -----[ Program Description ]---------------------------------------------
'This program demonstrates how to use Peek and Poke commands to control 
'outputs and inputs. The PortA outputs will drive LEDs. The input will
'read the state of a momentary push button switch on PortA to determine
'which LED to light. If switch is pressed LED2 will light. If switch is
'not pressed then LED1 will light.

Symbol  PortA = 5                       ' PortA address
Symbol  TrisA = $85                     ' PortA data direction register
Symbol  ADCON1 = $9F                    ' A/D control register

Init:
	poke ADCON1, 6             ' Set all PortA to digital I/O
    poke TrisA, %00000001      ' Set PortA RA4-RA1 to output,RA0 to input
	poke PortA, %00000010      ' Set PortA RA1 high to turn on LED1

Main:
	' *** Test the switch state ***
	peek PortA, B0         ' Read all PortA states and store in B0
    if bit0 = 0 then led2  'If switch is pressed then jump to LED2 routine 
 
	poke PortA, %00000010  ' Turn LED1 on, LED 2 off

	goto Main              ' Jump to the top of the main loop

LED2:
	'*** Turn LED2 on ***
	poke porta, %00000100  ' LED2 on and LED1 off

	goto Main			   ' Jump to the top of the main loop
