' -----[ Title ]-----------------------------------------------------------
'
' File...... proj4PRO.bas
' Format.... PicBasic Pro
' Purpose... Using Porta on PIC16F876  
' Author.... Chuck Hellebuyck
' Started...  June 1, 2000
' Updated... 


' -----[ Program Description ]---------------------------------------------
'This program demonstrates how to control PortA with PicBasic Pro.
'Peek and Poke commands are not required because PicBasic Pro has direct
'control over all registers including I/O registers.
'This program will do the same function as proj4PBC.bas but in Pro format.
'PortA RA1 and RA2 will drive LEDs. The RA0 port will be an input and 
'read the state of a momentary push button switch to determine
'which LED to light. If switch is pressed LED2 will light. If switch is
'not pressed then LED1 will light.

Define LOADER_USED 1     'Only required if bootloader used to program PIC

Init:
    adcon1 = 6                  ' Set all PortA to digital I/O
    trisa = %00000001           ' set PortA RA4-RA1 to outputs, RA0 input
    porta = %00000010           ' Set PortA RA1 high to turn on LED1

Main:
	' *** Test the switch state ***
	if portA.0 = 0 then led2 'If switch is pressed then jump to LED2 routine 
 
	PortA.1 = 1            ' Turn LED1 on
    portA.2 = 0            ' Turn LED2 off
	goto Main              ' Jump to the top of the main loop

LED2:
	'*** Turn LED2 on ***
	porta.2 = 1            ' LED2 on 
    porta.1 = 0            ' LED1 off
	goto Main			   ' Jump to the top of the main loop
