' -----[ Title ]-----------------------------------------------------------
'
' File...... Proj12PB.BAS
' Purpose... PIC16F876 -> Speaker
' Author.... Chuck Hellebuyck
' Started... February 9, 2002
' Updated... 


' -----[ Program Description ]---------------------------------------------
'
' This program demonstrates the use of the Sound Command.
'
' The program is written to play a crude version of "Mary had a little lamb".
' You will find the PIC is not the greatest musician but this program demonstrates
' how the sound command can add noise or audio feedback to a button press
' or an error in data entry.
' 
' PIC			Misc Conn.
' ------		---------------------	--------------------------------	-------------------
' RB0           + side of 10uf cap
'               - side of 10uf cap to speaker
'               other speaker wire to ground
'
' -----[ Revision History ]------------------------------------------------
'
' 

' -----[ Defines ]-------------------------------------------------------
'


' -----[ Variables and Constants ]-------------------------------------------------------   
'
Symbol	SND = 0				' 10uf cap to Speaker Pin
Symbol  tone = b3           ' Variable for storing tone
Symbol  dur = b5            ' Variable for storing duration
Symbol  x = b1
' -----[ Initialization ]--------------------------------------------------
'
Init:	  
    Pause 1000              ' Let PIC delay before blasting its tune
' -----[ Main Code ]-------------------------------------------------------
'

    
Beep:
    for x = 0 to 50  ' Step thru 51 total tones
'****** The for next loop steps thru 51 notes and durations using two lookup
'****** commands. The lines are so long, I had to add comments here.    
    lookup x,(80,0,75,0,68,0,75,0,80,0,80,0,80,0,75,0,75,0,75,0,80,0,80,0,80,0,80,0,75,0,68,0,75,0,80,0,80,0,80,0,80,0,75,0,75,0,80,0,75,0,68),tone
    lookup x,(80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80,0,80),dur

   	Sound SND,(tone,dur)   ' Generate Sound
    next                ' Get next note and duration
    pause 10000         ' Delay for 10 seconds for applause before playing again
	Goto beep		    ' Do it forever
