' -----[ Title ]-----------------------------------------------------------
'
' File...... proj2PRO.bas
' Format.... PicBasic Pro
' Purpose... PIC16F876 scroll eight LEDs 
' Author.... Chuck Hellebuyck
' Started...  June 25, 1999
' Updated... 

' -----[ Program Description ]---------------------------------------------
' This program will scroll a string of LEDs in a back and forth motion.
' Each LED is turned on for 1 second and then turned off. The next LED
' in line is turned on immediately after the previous LED is turned off.
' This continues for all eight LEDs and then the direction is reversed.
' This creates a back and forth motion of light. All the LEDs are
' connected to port B which makes the code easier to implement.
' A single command can control all the LEDs at once by setting or
' clearing the bit associated with each LED.

Define LOADER_USED 1     'Only required if bootloader used to program PIC

	
    LED var Byte		'LED variable setup as byte

	PortB = %00000000	'Initiate all port B pins to low
	Trisb = %00000000	'Setup port b as all outputs
main:				'Label for beginning of main loop

' *********** Light LEDs in right direction

	for led = 0 to 7   'Loop through all LEDs 
	portB.0[LED] = 1   'Set each pin of portb high (5 volts) which turns the LED on
	pause 1000		   'Pause 1000 milliseconds (1 second) with LED on
	portb.0[LED] = 0   'Set each pin of portb low (0 volts) which turns the LED off
	next               'Continue until all 7 have been lit once

' *********** Light LEDs in left direction

	for led = 7 to 0 step -1	'Loop through all LEDs backwards 
	portb.0[led] = 1   'Set pin 0 of portb high (5 volts) which turns the LED on
	pause 1000         'Pause 1000 milliseconds (1 second) with LED on
	portb.0[led] = 0   'Set pin 0 of portb low (0 volts) which turns the LED off
	next               'Continue until all 7 have been lit once

	goto main          'Jump to the main label and do it all again and again 

	END			'This line is not needed but its safe to put it here just in case
				'  the program gets lost.


