' -----[ Title ]-----------------------------------------------------------
'
' File...... proj3PBC.bas
' Format.... PicBasic
' Purpose... PIC16F876 drives 7-segment LED  
' Author.... Chuck Hellebuyck
' Started...  August 1,1999
' Updated... 


' -----[ Program Description ]---------------------------------------------
'This program drives a common cathode 7-segment LED display to countdown
'from 9 to 0 and then lights a separate LED for one second to signify
'the end of the countdown. The program then loops around and counts down
'again.

symbol 	x = b0
symbol 	numb1 = b1
 
init:

pins = %00000000		'Set all port B pins low
dirs = %11111111		'Set all port B as outputs 

loop:
	for x = 9 to 0 step -1	'Countdown from 9 to 0
	gosub convrt           'Go to conversion routine
	pins = numb1           'Set proper I/O pins per convert routine
	pause 1000		       'Keep display the same for 1 second
	next                   'Next number in countdown
light:
	high 0                 'Countdown reached 0 light LED
	pause 1000		       'Keep LED lit for 1 second
	low 0			       'LED off
	goto loop              'Do it all again

'**** Convert decimal number to proper segment alignment for LED display ****

convrt:
	lookup x,($DE,$50,$E6,$F4,$78,$BC,$BE,$54,$FE,$FC),numb1   'Match segments
                                                               ' to value of  x
	return
	
	end			'Add this in case program gets lost.


