' -----[ Title ]-----------------------------------------------------------
'
' File...... proj5pro.BAS
' Purpose... POT -> 16F876 -> LEDs
' Author.... Chuck Hellebuyck
' Started... May 19, 2001
' Updated... 


' -----[ Program Description ]---------------------------------------------
'
' This Program uses the 16F876 to read a potentiometer (POT) and drive LEDs
' in a bar graph mode as the POT is turned.
'
' RA2       pot connection          
' RB4       LED4          
' RB3       LED3          
' RB2       LED2          
' RB1       LED1
' RB0       LED0


' -----[ Revision History ]------------------------------------------------
'
' 

' -----[ Constants/Defines ]-------------------------------------------------------
'
Define LOADER_USED 1     'Only required if bootloader used to program PIC

' Define ADCIN parameters
Define	ADC_BITS	8	' Set number of bits in result
Define	ADC_CLOCK	3	' Set clock source (3=rc)
Define	ADC_SAMPLEUS	50	' Set sampling time in uS


' -----[ Variables ]-------------------------------------------------------
'
adval	var	byte		' Create adval to store result

' -----[ Initialization ]--------------------------------------------------
'
Init:
	PortB = $00        	' all outputs off to start
	TrisB = %00000000  	' All of Port B is outputs


' -----[ Main Code ]-------------------------------------------------------
'

	TRISA = %11111111	' Set PORTA to all input
	ADCON1 = %00000010	' Set PORTA analog

loop:
	ADCIN 2, adval		' Read channel 0 to adval


'********** Drive LEDs *************************

LEDtst1:
	if adval > 25 then tst2		'If A/D value is less than 25
	portb = %00000001 		' then light LED0 only
	goto cont			'continue with the program

tst2:	
	if adval > 75 then tst3		'If A/D value is between 25 and 75
	portb = %00000011		' then light LED0 & LED1
	goto cont			'continue with the program

tst3:
	if adval > 125 then tst4		'If A/D value is between 75 and 125
	portb = %00000111		' then light LED0 - LED2
	goto cont			'continue with the program

tst4:
	if adval > 175 then tst5		'If A/D value is between 125 and 175
	portb = %00001111 		' then light LED0 - LED3
	goto cont			'continue with the program

tst5:
	portb = %00011111		'A/D value is greater than 175 so 
					' light all the LEDs 0-4

cont:
	Pause 100			'wait 1 second
	goto loop


	end




	
 

