' -----[ Title ]-----------------------------------------------------------
'
' File...... proj7pro.BAS
' Purpose... PIC -> LCD (4-bit interface) using 16F876 and 2x16 LCD
' Author.... Chuck Hellebuyck
' Started... November 19, 1999
' Updated... 


' -----[ Program Description ]---------------------------------------------
'
' 
' PIC16F876 to LCD Port predefined connections:
'
' PIC 		    LCD		Other Connections
' ------		-------		-----------------------------
' B4        	LCD.11          
' B5        	LCD.12          
' B6        	LCD.13          
' B7        	LCD.14          
' B3        	LCD.4
' B0        	LCD.6
' OSC1				Resonator - 4 mhz
' OSC2				Resonator - 4 Mhz
' MCLR				Vdd via 1k resistor
' Vdd				5v
' Vss				Gnd


' -----[ Revision History ]------------------------------------------------
'
' 
' ----[ Includes / Defines ]-------------------------------------------
'
Define LOADER_USED 1     'Only required if bootloader used to program PIC

DEFINE LCD_DREG	PORTB	'Define PIC port used for LCD Data lines
DEFINE LCD_DBIT	4		'Define first pin of portb connected to LCD DB4
DEFINE LCD_RSREG PORTB	'Define PIC port used for RS line of LCD
DEFINE LCD_RSBIT 3		'Define Portb pin used for RS connection
DEFINE LCD_EREG	PORTB	'Define PIC prot used for E line of LCD
DEFINE LCD_EBIT	0		'Define PortB pin used for E connection
DEFINE LCD_BITS	4		'Define the 4 bit communication mode to LCD
DEFINE LCD_LINES 2		'Define using a 2 line LCD
DEFINE LCD_COMMANDUS 2000	'Define delay time between sending LCD commands
DEFINE LCD_DATAUS 50	'Define delay time between data sent.

' -----[ Constants ]-------------------------------------------------------
'
' -----[ Variables ]-------------------------------------------------------
x var byte          '
' -----[ Initialization ]--------------------------------------------------
'
' -----[ Main Code ]-------------------------------------------------------
'

Start:
	lcdout $fe, 1			' Clear LCD 
	lcdout $fe, 2			' Position cursor at home


'***** Send "Hello World" to first line of LCD ******

	lcdout  "Hello World"	' Send "Hello World"  to the LCD
    Pause   1000            ' Pause for 1 second to see it
pause 1
pause 1
pause 2
pause 3
pause 4
pause 5
pause 6
pause 7
pause 8
pause 9
pause 10
pause 11
pause 12
pause 13
    
    Goto Start              ' Loop back and do it all again

