' -----[ Title ]-----------------------------------------------------------
'
' File...... proj8pbc.BAS
' Purpose... PIC -> PC serial port using 16F876 
' Author.... Chuck Hellebuyck
' Started... November 9, 2001
' Updated... 


' -----[ Program Description ]---------------------------------------------
'
' 
' PIC16F876 hardware connections
' PIC		External
' ----		---------
' RB1		Max232(RX)          
' RB2		Max232(TX)          
' RB0		LED          
' MCLR		5v         
' Vdd		5v
' Vss		gnd
' Gnd		DB9-pin 5 (gnd)


' -----[ Revision History ]------------------------------------------------
'
' 

' -----[ Constants ]-------------------------------------------------------
'

' -----[ Variables ]-------------------------------------------------------
'
symbol RX = B2	' Receive byte
symbol LED = bit0	' LED status bit


' -----[ Initialization ]--------------------------------------------------
'
Init:
LED = 0		'Initialize LED flag to zero
low 0			'Intialize LED to off


' -----[ Main Code ]-------------------------------------------------------
'
Menu:
' ****** [Menu setup on PC screen] *************************
    serout 2, T2400, ("menu", 10, 13)		'Display menu on PC screen
	serout 2, T2400, (#1, ") ", "send hello", 10, 13)
	serout 2, T2400, (#2, ") ", "send goodbye", 10, 13)
	serout 2, T2400, (#3, ") ", "toggle LED", 10, 13)
	
Receive:
' ***** [Receive the menu selection from PC] ***************
	serin 1, T2400, RX			'Receive menu number
	RX = RX - $30				'Convert ASCII number to decimal
	If RX > 3 then error		'Test for good value
	Branch RX, (zero, one, two, three)	'redirect to menu selection code
Error:
	serout 2, T2400, ("error", 10, 13, "Try again", 10, 13)
	goto menu
	
Zero:
'***** [ Code for zero value ] *****************************
	goto menu			'Return to menu, zero is not a valid selection
	
One:
'***** [Code for selection 1] *************************
	serout 2, T2400, ("Hello",13,10,13)	'Send "Hello" back to PC
	goto menu							'Return to main menu routine
	
Two:
'***** [Code for selection 2] *************************
	serout 2, T2400, ("Goodbye",13,10,13) 'Send "Goodbye" to PC
	goto menu							 'Return to Menu routine
	
Three:
'***** [Code for selection 3] **********************
	if LED = 1 then off					'If LED bit =1 then goto off
	high 0								'Turn LED on
	led = 1								'Set LED bit to 1
	serout 2, T2400, ("LED ON",13,10,13)	'Send LED status to PC
	goto menu							'Return to main menu
	
Off:
	low 0								'Turn LED off
	led = 0								'Clear LED bit to 0
	serout 2, T2400, ("LED OFF",13,10,13)'Send LED status to PC
	goto menu							'Return to main menu
	
Goto menu
	
